I'm not sure that's a good excuse. Almost all of these distros use the linux kernel, the same glibc libraries, etc.; low lever audio support doesn't...